from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.sheet import XDataPilotTable

@runtime_checkable
class XDataPilotTable2(XDataPilotTable, Protocol):
    def getDrillDownData(self, aAddr: CellAddress) -> list[list[Any]]: ...
    def getPositionData(self, aAddr: CellAddress) -> DataPilotTablePositionData: ...
    def insertDrillDownSheet(self, aAddr: CellAddress) -> None: ...
